<div style="margin-top: 15px" class="listViewTopMenuDiv noprint">
    <form name="myform" ng-submit="vm.apply()" novalidate>
        <div class="listViewActionsDiv row-fluid">
            <table class="table table-bordered blockContainer showInlineTable equalSplit">
                <thead>
                    <tr>
                        <th class="blockHeader" colspan="8"><span ng-click="vm.hideForm=!vm.hideForm"
                                class="glyphicon glyphicon-{{!vm.hideForm ? 'collapse-down' : 'expand'}}"></span>&nbsp;Parametri
                            Ricerca
                        </th>
                    </tr>
                </thead>
                <tbody ng-hide="vm.hideForm">
                    <tr>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> <span
                                    class="redColor" ng-show="myForm.selectedClient.$invalid">*</span>CLIENTE
                            </label></td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10">
                                    <select ng-model="vm.selectedClient" name="selectedClient"
                                        ng-options="item.companyName for item in vm.values.anagClient track by item.idAnagClient"
                                        ng-change="vm.filterDsp(vm.selectedClient.idAnagClient, vm.values)" required>
                                    </select>
                                </span>
                            </div>
                        </td>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">DSP
                            </label></td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10"> <select name="selectedDsp" ng-model="vm.selectedDsp"
                                        ng-options="item.name for item in vm.values.dsp track by item.idDsp">
                                    </select>
                                </span>
                            </div>
                        </td>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> <span
                                    class="redColor" ng-show="myForm.selectedInvoiceNumber.$invalid">*</span>NUMERO
                                FATTURA
                            </label></td>
                        <td class="fieldValue medium">
                            <div class="row-fluid">
                                <span class="span10">
                                    <div class="input-large">
                                        <input class="input-large  ng-pristine ng-valid ng-empty ng-touched"
                                            name="selectedInvoiceNumber" type="text" min="2"
                                            ng-model="vm.selectedInvoiceNumber">
                                    </div>
                                </span>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> <span
                                    class="redColor" ng-show="myForm.selectedPeriodFrom.$invalid">*</span>INIZIO
                                PERIODO DI VALIDITA'
                            </label></td>
                        <td class="fieldLabel medium" nowrap><input type="text" class="span9 input-small datepickerFrom"
                                style="width: 180px" name="selectedPeriodFrom" ng-model="vm.selectedPeriodFrom">
                            <script type="text/javascript">
                                $(".datepickerFrom").datepicker({
                                    format: 'mm-yyyy',
                                    language: 'it',
                                    viewMode: "months",
                                    minViewMode: "months",
                                    autoclose: true,
                                    todayHighlight: true
                                });
                            </script>
                            <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                                ng-click="vm.selectedPeriodFrom=undefined;"></span>
                        </td>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px"> <span
                                    class="redColor" ng-show="myForm.selectedPeriodTo.$invalid">*</span>FINE
                                PERIODO DI VALIDITA'
                            </label></td>
                        <td class="fieldLabel medium"><input type="text" name="selectedPeriodTo"
                                class="span9 input-small datepickerTo" style="width: 180px"
                                ng-model="vm.selectedPeriodTo">
                            <script type="text/javascript">
                                $(".datepickerTo").datepicker({
                                    format: 'mm-yyyy',
                                    language: 'it',
                                    viewMode: "months",
                                    minViewMode: "months",
                                    autoclose: true,
                                    todayHighlight: true
                                });
                            </script>
                            <span class="glyphicon glyphicon-erase" style="margin-top: 6px;"
                                ng-click="vm.selectedPeriodTo=undefined;"></span>
                        </td>
                        <td class="fieldLabel medium"><label class="muted pull-right marginRight10px">FATTURA IN
                                STAND-BY
                            </label></td>
                        <td class="fieldLabel medium">
                            <select ng-model="vm.showStandBy" name="showStandBy">
                                <option ng-value="undefined">Tutti</option>
                                <option ng-value="true">Si</option>
                                <option ng-value="false">No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="fieldLabel medium" style="text-align: right" nowrap colspan="8">
                            <button ng-disabled="myForm.$invalid || !vm.selectedClient" class="btn addButton"
                                type="submit">
                                <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Applica</strong>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </form>
</div>